> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Earning Statistics (/api-reference/payouts/get-earning-statistics)

Get total and monthly time-series earning statistics for the account.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/payouts/earning-statistics
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/payouts/earning-statistics:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: Get Earning Statistics
      operationId: getEarningStatistics
      description: Get total and monthly time-series earning statistics for the account.
      parameters:
        - in: query
          name: startDate
          description: The start date for earning statistics. Keep empty to get all
            earnings.
          example: 2025-01-01 00:00:00, -30days
          required: false
          schema:
            type: string
            description: The start date for earning statistics. Keep empty to get all
              earnings.
            example: 2025-01-01 00:00:00, -30days
            nullable: true
        - in: query
          name: endDate
          description: The end date for earning statistics. Keep empty to get all earnings.
          example: 2025-01-01 00:00:00, +30days
          required: false
          schema:
            type: string
            description: The end date for earning statistics. Keep empty to get all
              earnings.
            example: 2025-01-01 00:00:00, +30days
            nullable: true
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      months:
                        "1735689661":
                          tips:
                            - time: 1735689661
                              net: 4
                              gross: 5
                          total_net: 100
                          total_gross: 125
                          subscribes:
                            - time: 1735689661
                              net: 16
                              gross: 20
                      total:
                        tips:
                          total_net: 123.45
                          total_gross: 123.45
                        all:
                          total_net: 123.45
                          total_gross: 123.45
                        subscribes:
                          total_net: 123.45
                          total_gross: 123.45
                        chat_messages:
                          total_net: 123.45
                          total_gross: 123.45
                        post:
                          total_net: 123.45
                          total_gross: 123.45
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999842
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49846
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: object
                        properties:
                          months:
                            type: object
                            properties:
                              "1735689661":
                                type: object
                                properties:
                                  tips:
                                    type: array
                                    example:
                                      - time: 1735689661
                                        net: 4
                                        gross: 5
                                    items:
                                      type: object
                                      properties:
                                        time:
                                          type: integer
                                          example: 1735689661
                                        net:
                                          type: integer
                                          example: 4
                                        gross:
                                          type: integer
                                          example: 5
                                  total_net:
                                    type: integer
                                    example: 100
                                  total_gross:
                                    type: integer
                                    example: 125
                                  subscribes:
                                    type: array
                                    example:
                                      - time: 1735689661
                                        net: 16
                                        gross: 20
                                    items:
                                      type: object
                                      properties:
                                        time:
                                          type: integer
                                          example: 1735689661
                                        net:
                                          type: integer
                                          example: 16
                                        gross:
                                          type: integer
                                          example: 20
                          total:
                            type: object
                            properties:
                              tips:
                                type: object
                                properties:
                                  total_net:
                                    type: number
                                    example: 123.45
                                  total_gross:
                                    type: number
                                    example: 123.45
                              all:
                                type: object
                                properties:
                                  total_net:
                                    type: number
                                    example: 123.45
                                  total_gross:
                                    type: number
                                    example: 123.45
                              subscribes:
                                type: object
                                properties:
                                  total_net:
                                    type: number
                                    example: 123.45
                                  total_gross:
                                    type: number
                                    example: 123.45
                              chat_messages:
                                type: object
                                properties:
                                  total_net:
                                    type: number
                                    example: 123.45
                                  total_gross:
                                    type: number
                                    example: 123.45
                              post:
                                type: object
                                properties:
                                  total_net:
                                    type: number
                                    example: 123.45
                                  total_gross:
                                    type: number
                                    example: 123.45
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999842
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49846
      tags:
        - Payouts
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````